tr181-httpaccess (0.15.14) unstable; urgency=medium

  * - dump config of lighttpd into debug.txt

 -- SAH bot <sahbot@softathome.com>  Thu, 28 Nov 2024 10:19:30 +0000

tr181-httpaccess (0.15.13) unstable; urgency=medium

  * - make lighttpd restart on failling

 -- SAH bot <sahbot@softathome.com>  Thu, 07 Nov 2024 15:34:56 +0000

tr181-httpaccess (0.15.12) unstable; urgency=medium

  * [tr181-httpaccess] source environment in init script

 -- SAH bot <sahbot@softathome.com>  Mon, 04 Nov 2024 09:26:59 +0000

tr181-httpaccess (0.15.11) unstable; urgency=medium

  * - Intermittent Web GUI page inaccessibility after WAN reset.

 -- SAH bot <sahbot@softathome.com>  Fri, 04 Oct 2024 11:54:58 +0000

tr181-httpaccess (0.15.10) unstable; urgency=medium

  * [AppArmor] Create AppAmor profile for plugins

 -- SAH bot <sahbot@softathome.com>  Tue, 10 Sep 2024 07:14:36 +0000

tr181-httpaccess (0.15.9) unstable; urgency=medium

  * [HttpAccess] An incorrect bus context is used for amxb calls

 -- SAH bot <sahbot@softathome.com>  Thu, 05 Sep 2024 11:21:13 +0000

tr181-httpaccess (0.15.8) unstable; urgency=medium

  * - [UserInterface] missing Available­Languages and CurrentLanguage DM

 -- SAH bot <sahbot@softathome.com>  Tue, 13 Aug 2024 13:54:47 +0000

tr181-httpaccess (0.15.7) unstable; urgency=medium

  * random: tr181-httpaccess: REST API and web user interface is not available

 -- SAH bot <sahbot@softathome.com>  Tue, 30 Jul 2024 17:07:31 +0000

tr181-httpaccess (0.15.6) unstable; urgency=medium

  * [System Upgrade][Remote administration] Changes in Remote Administration didn't Upgrade successfully

 -- SAH bot <sahbot@softathome.com>  Wed, 24 Jul 2024 06:43:15 +0000

tr181-httpaccess (0.15.5) unstable; urgency=medium

  * Better shutdown script

 -- SAH bot <sahbot@softathome.com>  Tue, 23 Jul 2024 07:53:50 +0000

tr181-httpaccess (0.15.4) unstable; urgency=medium

  * [LOG]The Home CPE SHALL have the ability to log all attempts...

 -- SAH bot <sahbot@softathome.com>  Thu, 11 Jul 2024 05:56:14 +0000

tr181-httpaccess (0.15.3) unstable; urgency=medium


 -- SAH bot <sahbot@softathome.com>  Mon, 08 Jul 2024 06:57:52 +0000

tr181-httpaccess (0.15.2) unstable; urgency=medium

  * - Add support for LLA addresses and expose both LLA and GUA addresses simultaneously

 -- SAH bot <sahbot@softathome.com>  Tue, 28 May 2024 13:24:09 +0000

tr181-httpaccess (0.15.1) unstable; urgency=medium

  * Make amxb timeouts configurable

 -- SAH bot <sahbot@softathome.com>  Wed, 10 Apr 2024 07:08:52 +0000

tr181-httpaccess (0.15.0) unstable; urgency=medium

  * Add tr181-device proxy odl files to components

 -- SAH bot <sahbot@softathome.com>  Mon, 25 Mar 2024 07:36:13 +0000

tr181-httpaccess (0.14.3) unstable; urgency=medium

  * Rework TR-181 interface stacks indexing number

 -- SAH bot <sahbot@softathome.com>  Tue, 19 Mar 2024 16:17:16 +0000

tr181-httpaccess (0.14.2) unstable; urgency=medium

  * Rework TR-181 interface stacks indexing number

 -- SAH bot <sahbot@softathome.com>  Tue, 19 Mar 2024 12:59:18 +0000

tr181-httpaccess (0.14.1) unstable; urgency=medium

  * - Ignore netmodel ipv6 addresses during duplicate address detection (DAD)

 -- SAH bot <sahbot@softathome.com>  Wed, 06 Mar 2024 15:42:06 +0000

tr181-httpaccess (0.14.0) unstable; urgency=medium

  * - Manage source IP filtering using parameters 'Allow­All­IPv­[4/6]' and 'IPv[4/6]AllowedSourcePrefix' (firewall)

 -- SAH bot <sahbot@softathome.com>  Tue, 30 Jan 2024 08:43:40 +0000

tr181-httpaccess (0.13.1) unstable; urgency=medium

  * [CI][HTTPAccess] Plugin not starting due to race condition with Device.Users

 -- SAH bot <sahbot@softathome.com>  Thu, 25 Jan 2024 12:05:12 +0000

tr181-httpaccess (0.13.0) unstable; urgency=medium

  * - Add IP V6 support through protected parameter UserInterface.HTTPAccess.{i}.IPVersion

 -- SAH bot <sahbot@softathome.com>  Thu, 18 Jan 2024 13:34:13 +0000

tr181-httpaccess (0.12.0) unstable; urgency=medium

  * [CI][HTTPAccess] Plugin not starting due to race condition with Device.Users

 -- SAH bot <sahbot@softathome.com>  Thu, 11 Jan 2024 15:52:03 +0000

tr181-httpaccess (0.11.4) unstable; urgency=medium

  * [CI][HTTPAccess] Plugin not starting due to race condition with Device.Users

 -- SAH bot <sahbot@softathome.com>  Thu, 11 Jan 2024 09:53:37 +0000

tr181-httpaccess (0.11.3) unstable; urgency=medium


 -- SAH bot <sahbot@softathome.com>  Fri, 15 Dec 2023 11:11:36 +0000

tr181-httpaccess (0.11.2) unstable; urgency=medium

  * [prpl][tr181-httpaccess] Session isn't deleted after closed and may increase memory consumption

 -- SAH bot <sahbot@softathome.com>  Thu, 14 Dec 2023 16:41:33 +0000

tr181-httpaccess (0.11.1) unstable; urgency=medium

  * [tr181-httpaccess]The defined data model is not behaving as defined in TR-181 usp

 -- SAH bot <sahbot@softathome.com>  Sat, 09 Dec 2023 10:33:32 +0000

tr181-httpaccess (0.11.0) unstable; urgency=medium

  * - Allow inclusion of additional lighttpd config under dynamically generated sections

 -- SAH bot <sahbot@softathome.com>  Thu, 07 Dec 2023 11:02:06 +0000

tr181-httpaccess (0.10.3) unstable; urgency=medium

  * - [prpl CI][lighttpd] restarts during cram tests

 -- SAH bot <sahbot@softathome.com>  Mon, 20 Nov 2023 10:11:11 +0000

tr181-httpaccess (0.10.2) unstable; urgency=medium

  * - [HTTPAccess][mop] A status change in the 'HTTPAccess' instances doesnt generate an event

 -- SAH bot <sahbot@softathome.com>  Mon, 13 Nov 2023 10:25:18 +0000

tr181-httpaccess (0.10.1) unstable; urgency=medium

  * - [prpl][tr181-httpaccess] Use amxc_set_to_string_sep instead of manipulating string manually

 -- SAH bot <sahbot@softathome.com>  Tue, 07 Nov 2023 12:46:29 +0000

tr181-httpaccess (0.10.0) unstable; urgency=medium

  * - [UI][LAN versus WAN admin] Allow the WAN and the LAN UI to have different ACL(users)

 -- SAH bot <sahbot@softathome.com>  Mon, 06 Nov 2023 09:50:05 +0000

tr181-httpaccess (0.9.0) unstable; urgency=medium

  * Add functionality for a UI onboarding scenario

 -- SAH bot <sahbot@softathome.com>  Thu, 19 Oct 2023 08:55:38 +0000

tr181-httpaccess (0.8.1) unstable; urgency=medium

  * All applications using sahtrace logs should use default log levels

 -- SAH bot <sahbot@softathome.com>  Fri, 13 Oct 2023 13:39:50 +0000

tr181-httpaccess (0.8.0) unstable; urgency=medium

  * [amxrt][no-root-user][capability drop] All amx plugins must be adapted to run as non-root and lmited capabilities

 -- SAH bot <sahbot@softathome.com>  Thu, 12 Oct 2023 11:32:46 +0000

tr181-httpaccess (0.7.1) unstable; urgency=medium

  * [AP config][HTTPD] The full featured config must support a webserver

 -- SAH bot <sahbot@softathome.com>  Thu, 28 Sep 2023 08:49:00 +0000

tr181-httpaccess (0.7.0) unstable; urgency=medium

  * [tr181-httpaccess] API support for number of unsuccessful login attempts

 -- SAH bot <sahbot@softathome.com>  Mon, 18 Sep 2023 09:27:53 +0000

tr181-httpaccess (0.6.7) unstable; urgency=medium

  * - Device.­User­Interface.­HTTPAccess.­{i}. Issues

 -- SAH bot <sahbot@softathome.com>  Fri, 08 Sep 2023 08:04:19 +0000

tr181-httpaccess (0.6.6) unstable; urgency=medium

  * Plugin should wait for Users.Role

 -- SAH bot <sahbot@softathome.com>  Tue, 29 Aug 2023 06:52:55 +0000

tr181-httpaccess (0.6.5) unstable; urgency=medium

  * Init script has no shutdown function

 -- SAH bot <sahbot@softathome.com>  Thu, 24 Aug 2023 10:15:18 +0000

tr181-httpaccess (0.6.4) unstable; urgency=medium

  * - [prpl][user-management] Users role paths are not tr181 paths

 -- SAH bot <sahbot@softathome.com>  Tue, 22 Aug 2023 06:55:49 +0000

tr181-httpaccess (0.6.3) unstable; urgency=medium

  * - [regression] Cannot login anymore from WebUI on 0.7.2

 -- SAH bot <sahbot@softathome.com>  Wed, 19 Jul 2023 09:44:13 +0000

tr181-httpaccess (0.6.2) unstable; urgency=medium

  * - HTTP Access AllowedRoles defined with an incorrect data type

 -- SAH bot <sahbot@softathome.com>  Mon, 17 Jul 2023 07:29:15 +0000

tr181-httpaccess (0.6.1) unstable; urgency=medium

  * - [HTTPManager][Login] Increase unit test coverage

 -- SAH bot <sahbot@softathome.com>  Mon, 17 Jul 2023 07:21:17 +0000

tr181-httpaccess (0.6.0) unstable; urgency=medium

  * [amx][prpl]Implementation of the LANConfigSecurity module

 -- SAH bot <sahbot@softathome.com>  Wed, 28 Jun 2023 14:38:09 +0000

tr181-httpaccess (0.5.0) unstable; urgency=medium

  * [amx][prpl]Implementation of the LANConfigSecurity module

 -- SAH bot <sahbot@softathome.com>  Mon, 19 Jun 2023 08:58:00 +0000

tr181-httpaccess (0.4.0) unstable; urgency=medium

  * [amx][prpl]Implementation of the LANConfigSecurity module

 -- SAH bot <sahbot@softathome.com>  Tue, 06 Jun 2023 10:35:45 +0000

tr181-httpaccess (0.3.3) unstable; urgency=medium

  * - [FIX] use deferred call to deinit session after a timeout

 -- SAH bot <sahbot@softathome.com>  Tue, 23 May 2023 11:10:42 +0000

tr181-httpaccess (0.3.2) unstable; urgency=medium

  * - [HTTP-Manager] Improve documentation

 -- SAH bot <sahbot@softathome.com>  Fri, 12 May 2023 10:25:36 +0000

tr181-httpaccess (0.3.1) unstable; urgency=medium

  * [tr181-httpaccess] debian package is incorrect

 -- SAH bot <sahbot@softathome.com>  Thu, 11 May 2023 09:27:39 +0000

tr181-httpaccess (0.3.0) unstable; urgency=medium

  * - [HTTPManager][Login][TR181-HTTPACCESS] Create a session

 -- SAH bot <sahbot@softathome.com>  Tue, 09 May 2023 13:45:47 +0000

tr181-httpaccess (0.2.10) unstable; urgency=medium

  * service protocol should be integers

 -- SAH bot <sahbot@softathome.com>  Fri, 21 Apr 2023 10:16:53 +0000

tr181-httpaccess (0.2.9) unstable; urgency=medium

  * - [tr181-httpaccess] Add Firewall datamodel runtime dependency

 -- SAH bot <sahbot@softathome.com>  Thu, 23 Mar 2023 12:51:16 +0000

tr181-httpaccess (0.2.8) unstable; urgency=medium

  * [Config] enable configurable coredump generation

 -- SAH bot <sahbot@softathome.com>  Wed, 15 Mar 2023 10:55:19 +0000

tr181-httpaccess (0.2.7) unstable; urgency=medium

  * avoidable copies of strings, htables and lists

 -- SAH bot <sahbot@softathome.com>  Mon, 09 Jan 2023 10:35:17 +0000

tr181-httpaccess (0.2.6) unstable; urgency=medium

  * init without clean on local variables

 -- SAH bot <sahbot@softathome.com>  Mon, 09 Jan 2023 09:51:16 +0000

tr181-httpaccess (0.2.5) unstable; urgency=medium

  * Port 8080 opened on WAN when using VLAN as wan

 -- SAH bot <sahbot@softathome.com>  Wed, 04 Jan 2023 09:47:45 +0000

tr181-httpaccess (0.2.4) unstable; urgency=medium

  * Refactor HTTPVHost and HTTPProxy to be HTTPAccess

 -- SAH bot <sahbot@softathome.com>  Tue, 13 Dec 2022 09:00:58 +0000

tr181-httpaccess (0.2.3) unstable; urgency=medium

  * Opensource component

 -- SAH bot <sahbot@softathome.com>  Mon, 21 Nov 2022 11:50:27 +0000

tr181-httpaccess (0.2.2) unstable; urgency=medium

  * Config file stored at wrong location

 -- SAH bot <sahbot@softathome.com>  Fri, 18 Nov 2022 16:39:06 +0000

tr181-httpaccess (0.2.1) unstable; urgency=medium

  * Change default configuration file paths

 -- SAH bot <sahbot@softathome.com>  Wed, 16 Nov 2022 08:41:57 +0000

tr181-httpaccess (0.2.0) unstable; urgency=medium

  * - [prpl][httpaccess] Create the HTTPAccess backend

 -- SAH bot <sahbot@softathome.com>  Wed, 16 Nov 2022 07:59:51 +0000

tr181-httpaccess (0.1.0) unstable; urgency=medium

  * - [prpl][httpaccess] Create the HTTPAccess datamodel
  * Remove pedantic flag

 -- SAH bot <sahbot@softathome.com>  Thu, 22 Sep 2022 08:37:54 +0000

tr181-httpaccess (0.0.0) unstable; urgency=medium

  * Initial release

 -- DE HERDT peter <peter.deherdt01@gmail.com>  Sat, 19 Oct 2019 16:29:17 +0100
